# config valid only for current version of Capistrano
lock '3.11.0'

set :repo_url, 'https://github.com/RedstonerServer/redstoner.com'

set :scm, :git

set :ssh_options, { forward_agent: true }

set :default_environment, {
  'PATH' => "$HOME/.rbenv/shims:$HOME/.rbenv/bin:$PATH"
}

set :keep_releases, 5

set :deploy_to, -> { "/var/www/#{fetch(:application)}" }

set :rbenv_ruby, '2.5.0-dev'

set :bundle_without, %w{development test}.join(' ')

# Default value for linked_dirs is []
set :linked_dirs, fetch(:linked_dirs, []).push('bin', 'log', 'tmp/pids', 'tmp/cache', 'tmp/sockets', 'vendor/bundle', 'public/system')

namespace :deploy do
  after :publishing, :restart
end
